package com.charts.misconfigured;

import java.awt.Desktop;
import java.io.File;
import java.io.IOException;

import com.grapecity.documents.excel.*;
import com.grapecity.documents.excel.drawing.*;

public class App {
  private static String imageFilePath = "chart.png";
  private static String sjsFilePath = "work.sjs";
  
  public static void main(String[] args) {
    Workbook book = new Workbook();
    book.open(sjsFilePath);
    IWorksheet sheet = book.getWorksheets().get(0);
    
    IShape chartShape = sheet.getShapes().get(0);
    chartShape.toImage(imageFilePath);
    openFile(imageFilePath);
  }
  
  private static void openFile(String filePath) {
	  File file = new File(filePath);
      try {
          if (Desktop.isDesktopSupported()) {
              Desktop desktop = Desktop.getDesktop();
              if (file.exists()) {
                  desktop.open(file);
              } else {
                  System.err.println("File does not exist: " + file.getAbsolutePath());
              }
          } else {
              System.err.println("Desktop is not supported.");
          }
      } catch (IOException e) {
          e.printStackTrace();
          System.err.println("Error opening file: " + e.getMessage());
      }
  }
}